# API Documentation of Bash Base Library

## range expand

### bre_expand_ranges

```
bre_expand_ranges <prefix> <suffix> <reserved> <input-string> [..]
#  <prefix> and <suffix> are strings without spaces
#  <reserved> is reserved for the name of the macro associative array
#             this will be implemented in a future version
#  <input-string> can be the following:
#    a range (<number>-<number>): will be expanded to each member of range
#                                 prefix and suffix will be added to each
#    a number: prefix and suffix will be added
#    a macro: a string which is key in the associative array BRE_RANGE_MACROS
#             its value will be expanded in recursive fashion
#    any other string (must not contain spaces): will be copied unmodified
# errors: 2
```
